public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libevent/
Date: Sat, 16 Feb 2019 18:58:37 +0000 (UTC)	[thread overview]
Message-ID: <1550343505.fe3f91852f725c56ef363c82f49fee5220f157ce.bman@gentoo> (raw)

commit:     fe3f91852f725c56ef363c82f49fee5220f157ce
Author:     Stefan Strogin <stefan.strogin <AT> gmail <DOT> com>
AuthorDate: Sat Feb 16 08:01:16 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Feb 16 18:58:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe3f9185

dev-libs/libevent: fix slot operator for libressl dependency

Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Stefan Strogin <stefan.strogin <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11065
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 dev-libs/libevent/libevent-2.1.8-r1.ebuild | 66 ++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/dev-libs/libevent/libevent-2.1.8-r1.ebuild b/dev-libs/libevent/libevent-2.1.8-r1.ebuild
new file mode 100644
index 00000000000..a9e66dc5bce
--- /dev/null
+++ b/dev-libs/libevent/libevent-2.1.8-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils multilib-minimal
+
+DESCRIPTION="Library to execute a function when a specific event occurs on a file descriptor"
+HOMEPAGE="http://libevent.org/ https://github.com/libevent/libevent/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/release-${PV}-stable/${P}-stable.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+# libevent-2.1.so.6
+SLOT="0/2.1-6"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug libressl +ssl static-libs test +threads"
+
+DEPEND="
+	ssl? (
+		!libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+		libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+	)
+"
+RDEPEND="
+	${DEPEND}
+	!<=dev-libs/9libs-1.0
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/event2/event-config.h
+)
+
+S=${WORKDIR}/${P}-stable
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+multilib_src_configure() {
+	# fix out-of-source builds
+	mkdir -p test || die
+
+	ECONF_SOURCE="${S}" \
+	econf \
+		--disable-samples \
+		$(use_enable debug debug-mode) \
+		$(use_enable debug malloc-replacement) \
+		$(use_enable ssl openssl) \
+		$(use_enable static-libs static) \
+		$(use_enable test libevent-regress) \
+		$(use_enable threads thread-support)
+}
+
+src_test() {
+	# The test suite doesn't quite work (see bug #406801 for the latest
+	# installment in a riveting series of reports).
+	:
+	# emake -C test check | tee "${T}"/tests
+}
+
+DOCS=( ChangeLog{,-1.4,-2.0} )
+
+multilib_src_install_all() {
+	einstalldocs
+	prune_libtool_files
+}


             reply	other threads:[~2019-02-16 18:58 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-16 18:58 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-07 19:54 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libevent/ Sam James
2023-05-22  5:53 Michał Górny
2023-05-21 15:58 Michał Górny
2023-05-21 13:58 Michał Górny
2023-05-21 13:58 Michał Górny
2023-05-21 11:33 Michał Górny
2023-05-02 20:50 Sam James
2023-02-14  0:30 Mike Gilbert
2022-05-05  9:51 WANG Xuerui
2022-03-09 23:12 Sam James
2022-01-23 19:55 Sam James
2021-11-15 19:41 Agostino Sarubbo
2021-11-15 16:29 Agostino Sarubbo
2021-11-06  0:48 Sam James
2021-11-05 17:35 Sam James
2021-11-05 17:34 Sam James
2021-11-05 17:33 Sam James
2021-11-05  2:20 Sam James
2021-05-02 15:38 Mikle Kolyada
2021-01-27 17:52 Sam James
2020-11-03 22:23 Michał Górny
2020-08-14 17:36 Jeroen Roovers
2020-07-05 15:03 Jeroen Roovers
2020-07-05 14:42 Jeroen Roovers
2020-07-05 14:35 Jeroen Roovers
2020-07-05 13:59 Jeroen Roovers
2020-06-06 21:46 Mart Raudsepp
2020-05-25 21:33 Sergei Trofimovich
2020-05-21  9:05 Agostino Sarubbo
2020-05-21  9:03 Agostino Sarubbo
2020-05-21  8:03 Agostino Sarubbo
2020-05-21  8:02 Agostino Sarubbo
2020-05-21  8:00 Agostino Sarubbo
2020-05-21  7:58 Agostino Sarubbo
2020-05-21  7:57 Agostino Sarubbo
2019-10-14  8:27 Jeroen Roovers
2019-08-06  6:21 Jeroen Roovers
2019-08-06  5:53 Jeroen Roovers
2019-07-07 14:44 Jeroen Roovers
2019-07-07 13:29 Jeroen Roovers
2019-05-27 15:24 Jeroen Roovers
2019-05-06  8:56 Yixun Lan
2019-05-05 20:33 Mikle Kolyada
2019-04-18 15:34 Jeroen Roovers
2019-02-17 14:17 Jeroen Roovers
2019-02-17 13:45 Jeroen Roovers
2018-08-10 15:44 Jeroen Roovers
2018-06-13 16:21 Lars Wendler
2018-01-16 21:13 Mike Frysinger
2017-10-18 20:09 Sergei Trofimovich
2017-09-10 22:23 Jeroen Roovers
2017-05-06 22:20 David Seifert
2017-04-15  8:59 Jeroen Roovers
2017-03-30  2:39 Matt Turner
2017-03-30  2:39 Matt Turner
2017-03-15  5:44 Jeroen Roovers
2017-02-10 14:21 Michael Weber
2017-02-09 14:37 Agostino Sarubbo
2017-02-04 11:01 Jeroen Roovers
2017-02-03 15:34 Jeroen Roovers
2017-02-02 15:56 Jeroen Roovers
2017-02-02 15:18 Jeroen Roovers
2017-02-02 14:28 Jeroen Roovers
2017-01-29 16:08 Fabian Groffen
2016-12-18 11:19 Jeroen Roovers
2016-12-18 11:08 Jeroen Roovers
2016-12-18 11:08 Jeroen Roovers
2016-12-18 10:57 Jeroen Roovers
2015-10-31  1:27 Mike Frysinger
2015-10-31  1:27 Mike Frysinger
2015-10-12  1:48 Mike Gilbert
2015-10-11  4:54 Jeroen Roovers
2015-10-03 13:52 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550343505.fe3f91852f725c56ef363c82f49fee5220f157ce.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox